Bug 52801 - allow aliases for config options (user=username)
Summary: allow aliases for config options (user=username)
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: low enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 01:13 UTC by SyncEvolution Community
Modified: 2018-10-13 12:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by jingke.zhang@intel.com 2010-04-13 01:13:08 +0000 ----

This issue is from BMO#2428 (http://bugzilla.moblin.org/show_bug.cgi?id=2428)

Copied from
https://sourceforge.net/tracker/?func=detail&aid=2157970&group_id=146288&atid=764733

Currently there are aliases for values assigned to options, but options
themselves only have one fixed name.

I keep writing "--sync-property user=" when it currently has to be
"--sync-property username="...

SyncEvolutionConfig.cpp is the place to implement this. CPPUnit tests which
cover config and config options are in SyncEvolutionCmdline.cpp.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 674 at https://bugs.meego.com/show_bug.cgi?id=674
Comment 1 GitLab Migration User 2018-10-13 12:43:34 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/108.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.